Summary:	Main GNOME libraries
Name:		gnome-libs
Version: 	1.4.1.2
Release:	6mdk
License:	LGPL
Group:		System/Libraries
BuildRequires:	ORBit-devel esound-devel 
BuildRequires:	db1-devel imlib-devel xpm-devel libgtk+1.2-devel
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
Source1:	gtkrc-default.bz2
Icon:		gnome-libs.xpm
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	esound
Requires:	ORBit

#BuildPreReq:	utempter

# Red Hat patches
Patch:		RH-gnome-libs-rhsnddefs.patch.bz2
Patch2:		RH-gnome-libs-echok.patch.bz2
# rawhide - Enable setting canvas into a "bghack" mode with gtk_object_set_data
Patch8:     gnome-libs-1.2.13-bghack.patch.bz2
# rawhide - Nullify master_client if it gets destroyed
Patch9:     gnome-libs-1.2.13-mastercleanup.patch.bz2
# rawhide - Fix problem displaying mdash in help browser
Patch11:    gnome-libs-1.2.13-mdash.patch.bz2
Patch12:    gnome-libs-1.2.13-initialurl.patch.bz2
Patch13:	gnome-libs-1.2.13-utf8menu.patch.bz2
Patch14:	gnome-libs-1.2.13-kdemenus.patch.bz2

# Mandrake patch
#(fred c)
# search icons first in /usr/share/icons/large, normal and small
Patch5:		gnome-libs-iconspath.patch.bz2
# (fc) 1.2.8-4mdk move gtkrc files to /usr/share/gtkrc
Patch6:		gnome-libs-1.2.8-gtkrc.patch.bz2
# (fc) 1.2.13-2mdk fix bug 3730 (nautilus should not draw desktop when called as help browser)
Patch7:		gnome-libs-1.2.13-nautilus.patch.bz2
# (fc) 1.4.1.2-3mdk fix gnome-metadate (GNOME CVS)
Patch15:	gnome-libs-1.4.1.2-metadata.patch.bz2
# (pablo) better fontsets in gtkrc.* files
Patch16:		gnome-libs-rclocale.bz2


%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%package devel

Summary:	Libraries and headers for GNOME application development
Group:		Development/GNOME and GTK+
Icon:		gnome-libs-devel.xpm
Requires:	%{name} = %{PACKAGE_VERSION}
Requires:	libgtk+-devel
Requires:	ORBit-devel
Requires:	libimlib-devel
Requires:	esound-devel
Requires:   db1-devel
Requires:   audiofile-devel

%description devel

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-libs-devel package
includes the libraries and include files that you will need to develop
GNOME applications.

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don't need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.

%package -n libgtkxmhtml1
Summary:	Libraries for gtkxmHTML
Group:		System/Libraries

%description -n libgtkxmhtml1

This package provides library for gtkxmHTML


%prep
%setup -q -n %{name}-%{version}
%patch  -p1 -b .foo
%patch2 -p1 -b .foo

%patch5 -p1 -b .icons
%patch6 -p1 -b .gtkrc
# better fontsets in gtkrc.* files -- pablo
%patch16 -p1 -b .rclocale
%patch7 -p1 -b .nodesktop
%patch8 -p1 -b .bghack
%patch9 -p1 -b .mastercleanup
%patch11 -p1 -b .mdash
%patch12 -p1 -b .initial_url
%patch13 -p1 -b .utf8
%patch14 -p1 -b .kdemenus
%patch15 -p1 -b .metadata


#needed by patch 6
automake

%build
DOCDIR=$RPM_BUILD_ROOT%{_docdir} %configure --with-kde-datadir=%{_datadir} --disable-alsa -enable-prefer-db1


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# find *.mo files, per language
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post  -n libgtkxmhtml1  -p /sbin/ldconfig
%postun -n libgtkxmhtml1 -p /sbin/ldconfig

%files -n libgtkxmhtml1
%defattr(-,root,root)
%{_libdir}/libgtkxmhtml*.so.*


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libgnome*.so.*
%{_libdir}/libgnorba*.so.*
%{_libdir}/libzvt*.so.*
%{_libdir}/libart*.so.*
%{_bindir}/dns-helper
%{_bindir}/gconfigger
%{_bindir}/gnome-bug
%{_bindir}/gnome-dump-metadata
%{_bindir}/gnome-gen-mimedb
%{_bindir}/gnome-moz-remote
%{_bindir}/gnome-name-service
%{_bindir}/gnome_segv
%{_bindir}/goad-browser
%{_bindir}/loadshlib
%{_bindir}/new-object
%attr(2755, root, utmp) %{_sbindir}/gnome-pty-helper
%{_datadir}/idl
%{_datadir}/pixmaps
%dir %{_datadir}/gtkrc
%config(noreplace) %{_datadir}/gtkrc/gtkrc*
%{_datadir}/mime-info
%{_datadir}/type-convert/type.convert
%config(noreplace) %{_sysconfdir}/*

%files devel
%defattr(-, root, root)
%doc devel-docs/*
%{_bindir}/gnome-config
%{_bindir}/libart-config
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/gnome-libs
%{_includedir}/*
%{_datadir}/aclocal/*
%{_mandir}/*/*
%{_datadir}/gnome/help/*
%{_datadir}/gnome/html/*

%changelog
* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1.2-6mdk
- BuildRequires: db1-devel
- Remove redundant BuildRequires

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.1.2-5mdk
- rebuild with fixed fontsets for CJK

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.1.2-4mdk
- rebuild including latest translations

* Fri Sep 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-3mdk
- Patch15 (GNOME CVS) : fix gnome-metadata locking

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-2mdk
- Patch13 (rawhide): fix utf8 in menu reading
- Patch14 (rawhide): better handle KDE menu

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-1mdk
- Release 1.4.1.2

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.1-1mdk
- Release 1.4.1.1
- Remove patch10 (merged upstream)

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-4mdk
- Patch8 (rawhide) : hack for nautilus root window 
- Patch9 (rawhide) : Clean up if master client is destroyed 
- Patch10 (rawhide) : Fix problem with imlib memory management
- Patch11 (rawhide) : Fix problem displaying mdash in help browser
- Patch12 (rawhide) : Fix problem displaying mdash in help browser

* Fri Aug 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-3mdk
- Fix dependencies in gnome-libs-devel

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-2mdk
- Patch 7 : fix bug 3730 (nautilus draws desktop when call as help-browser)

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-1mdk
- Release 1.2.13
- Remove patch 7 (merged upstream)

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.12-2mdk
- Regenerated against latest glib/gtk

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.12-1mdk
- Release 1.2.12

* Thu Jan 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.11-1mdk
- Release 1.2.11
- No longer apply patch4 (xalf), has been merged upstream

* Mon Jan 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.9-1mdk
- Release 1.2.9

* Fri Jan 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-4mdk
- Move gtkrc files to their own directory (+ patch gnome-init )

* Wed Dec 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-3mdk
- Put libgtkxmhtml in separate package

* Wed Nov 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-2mdk
- Correct requires

* Tue Oct 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-1mdk
- Release 1.2.8

* Wed Oct 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-1mdk
- Release 1.2.6
- don't apply merged patches (3 & 6)
- Regenerate patch 4

* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-8mdk
- Provides main gnome directories (close bug #614)

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-7mdk
- Change search for icons for new KDE2 paths

* Tue Sep 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-6mdk
- Merge fixes from RedHat for gnome-terminal (set background, delete key)

* Mon Sep 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-5mdk
- Search icons in /usr/share/icons subdirectories first

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-4mdk
- enhance support for xalf (start application notifier)
- add noreplace for config file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.4-3mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Don't install gtkrc file (was breaking some gtk themes)

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- release 1.2.4 (from Helix)

* Tue Jul 25 2000 dam's <damien@mandrakesoft.com> 1.2.3-4mdk
- added disable-alsa.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.3-3mdk
- BM + macrozification.

* Tue Jul 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.3-2mdk
- added patch to support fontsets in scores and wizards windows

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 1.2.3-1mdk
- updated to 1.2.3

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 1.2.1-3mdk
- Rebuild due to bad provides.

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 1.2.1-2mdk
- Rebuild due to bad provides.

* Fri Jun  9 2000 dam's <damien@mandrakesoft.com> 1.2.1-1mdk
- update from helix release.

* Thu Apr 06 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.58-1mdk
- build release 1.0.58

* Fri Mar 31 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.56-1mdk
- from Helix stuffs
- build release 1.0.56

